
Foreman - Bug #12554

Operating System description is shown in name column

11/20/2015 01:50 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1283941 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2925

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1283941

Description of problem:

If you create new operating system without description - application has correct behavior and you can see that new OS name in

name column and hosts count in hosts column. But if you specify any description for operating system, so that description will be

displayed in name column instead OS name. That is even more confusing when you use search functionality and search for OS with

"name='AAAA'", but get entity with name='BBBB'

Version-Release number of selected component (if applicable):

Hard to tell when that issue was introduced

How reproducible:

Always

Steps to Reproduce:

1. Create new operating system (Hosts->Operating systems) with description

Actual results:

You see entity description in name column

Expected results:

You see entity name in name column

Additional info:

Related issues:

Related to Foreman - Feature #3720: Operating system name should be different... Closed 11/22/2013

Associated revisions

Revision 6308a7ba - 12/07/2015 10:50 AM - oshtaier 

Fixes #12554 - Change OS name column heading to match contents

It is necessary to change name for 'Name' column to 'Title' as

otherwise application flow can confuse user (especially when he or she

perform search procedure). Also, add more context to description field

for Operating System create/edit screen

History

#1 - 11/20/2015 02:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2925 added

#2 - 11/23/2015 04:10 AM - Dominic Cleal

- Related to Feature #3720: Operating system name should be different to Facter operating system string added
#3 - 12/07/2015 10:50 AM - Dominic Cleal

- Assignee deleted (Ohad Levy)

- translation missing: en.field_release set to 71

#4 - 12/07/2015 11:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6308a7ba6ae36a7b12174692bd2759c7a33a2c4f.
